Devices with support for Ebook Reader

Ebook Reader can be used on:

  • Apple iOS Devices (iPhone, iPad, iPod Touch)
  • Android Devices (phones and tablets)
  • Amazon Kindle Fire
  • BlackBerry

Android:
The current version of the Android app is compatible with any device using Android 4.0 (Ice Cream Sandwich) or higher.
Any Android devices using Android 3.0–3.2.6 (Honeycomb) can still install the app, but it will be an older version (4.1.2) and will not have the most recent features and functionality.
Unfortunately our Android app version 3.0.7 that runs on Android devices using Android 2.3.7 (Gingerbread) to Android 1.6 (Donut) is no longer available and we have removed it from Google Play. However some users may still have this version installed and it should still function, but it is no longer supported by our developers.
Any Android devices using an OS version older than 1.6 are unfortunately unable to use the app.

iOS:
The current version of the iOS app is compatible with any device using iOS 8 or higher
Any device using iOS 7-6 can still install the app, but it will be an older version.
Any iOS devices using iOS 5 or older will be told the latest version is not supported on your device, but you can still install an older app using these instructions.

BlackBerry:
The current version of the BlackBerry app is compatible with most devices using BlackBerry OS 10.2.1 or higher including the following:

  • BlackBerry Leap
  • BlackBerry Q5
  • BlackBerry Z10
  • BlackBerry Z3
  • BlackBerry Z30
  • BlackBerry Porsche Design P9982

The following devices are not compatible with the app, despite meeting the minimum OS requirements:

  • BlackBerry Passport

Any BlackBerry devices using an OS version older than 10.2.1 are unfortunately unable to use the app.

Kindle Fire:
The current version of the Kindle Fire app is compatible with all Kindle Fire, Kindle Fire HD and Kindle Fire HDX models (1st, 2nd, 3rd and 4th generations).
Unfortunately the app will not work on any other Kindle devices (Kindle Voyage, Kindle Paperwhite, original Kindle). If you are not sure which Kindle device you own, please check our guide.

Instructions for how to install Ebook Reader on your device can be found here.

For more information about the Ebook Reader, please visit the Ebook Reader site.

Have more questions? Submit a request

3 Comments

  • Avatar
    John Gass Gass

    It appears my device is not supported.

    eBooks.com reply:

    Dear John,

    Please contact our support team here: http://sec.ebooks.com/account/ticket.asp

    Please let us know what device you have and we can check what options are available to you.

  • Avatar
    Sandra Barnett Barnett

    Samsung Galaxy

     

    eBooks.com reply:

    Dear Sandra,

    If you have an original Samsung Galaxy S or S Plus (i9000 or i9001), then I am afraid it is not going to be compatible with the app as the most recent version of Android available to the Galaxy S is 2.3 (Gingerbread). If you have an S Advance or an S Duos, then you will be able to install the app.

    If you have a Samsung Galaxy S II or any of the other later Galaxy models then you should be able to install the most recent version of app without issue.

  • Avatar
    Leah Buchbinder

    I have download ebook on my iPad . The print is too small to read. I have tried everything to enlarge it but to no avail. If nothing can be done kindly withdraw book and refund my payment.
    Yours
    Leah

    eBooks.com reply:

    Dear Leah,

    Please contact our support team here: http://sec.ebooks.com/account/ticket.asp

    If you have more than one book please let us know which book is effected and we can try to resolve the issue or process a refund.

Article is closed for comments.